package com.gic.store.service;

import com.gic.store.dto.StoreGroupDTO;

import java.util.List;

/**
 * @author guojx
 * @date 2019/6/26 2:14 PM
 */
public interface StoreGroupApiService {

    /**
     * 新增
     * @param storeGroupDTO
     * @return 返回新增的门店分组主键ID值
     */
    int save(StoreGroupDTO storeGroupDTO);

    /**
     * 更新分组数据
     * @param storeGroupDTO
     * @return
     */
    int update(StoreGroupDTO storeGroupDTO);

    /**
     * 编辑名称
     * @param storeGroupDTO
     * @return
     */
    int updateStoreGroupName(StoreGroupDTO storeGroupDTO);

    /**
     * 分组上移下移排序
     * @param storeGroupDTO
     * @param isUp 是否是上移
     * @return
     */
    int sort(StoreGroupDTO storeGroupDTO, boolean isUp);

    /**
     * 查询分组列表
     * @param storeGroupDTO
     * @return
     */
    List<StoreGroupDTO> listStoreGroup(StoreGroupDTO storeGroupDTO);

    /**
     * 根据主键删除分组
     * @param storeGroupId
     * @return
     */
    int remove(int storeGroupId);

    /**
     * 初始化品牌调用：新建所有门店
     * @param enterpriseId
     * @return
     */
    int insertDefaultStoreGroup(int enterpriseId);
}
