package com.gic.store.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.store.dto.StoreRegionDTO;
import com.gic.store.service.StoreRegionApiService;
import com.gic.store.web.qo.PageQO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/25
 */
@RestController
public class StoreRegionController {

    @Autowired
    private StoreRegionApiService storeRegionApiService;

    @RequestMapping("/save-store-region")
    public RestResponse saveStoreRegion(String regionCode, String regionName, Integer regionId) {
        Integer enterpriseId = 1111;
        ServiceResponse<Integer> serviceResponse = storeRegionApiService.saveOrUpdateStoreRegion(enterpriseId, regionCode, regionName, regionId);
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(serviceResponse.getResult());
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("/page-store-region")
    public RestResponse pageStoreRegion(String search, PageQO pageQO) {
        Integer enterpriseId = 1111;
        ServiceResponse<Page<StoreRegionDTO>> serviceResponse = storeRegionApiService.listStoreRegion(enterpriseId, search, pageQO.getCurrentPage(), pageQO.getPageSize());
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(serviceResponse.getResult());
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("/list-store-region")
    public RestResponse listStoreRegion(String search) {
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreRegionDTO>> serviceResponse = storeRegionApiService.listStoreRegion(enterpriseId, search);
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(serviceResponse.getResult());
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }



}
